
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>鸟哥的linux私房菜学习-（十）vim程序编辑器 / 憋错料</title>

    <meta name="description" content="鸟哥的linux私房菜学习-（十）vim程序编辑器 1.vi和vim 在 Linux 的世界中,绝大部分的配置文件都是以 ASCII 的纯文本形态存在,因此利用简单的文字编辑软件就能够修改设定了! 常常听到的就有: emacs, pico, nano, joe, 与 vim 等等(注1). 2.vi的使用 基本上 vi 共分为三种模式,分别是『一般模式』.『编辑模式』与『指令列命令模式』. 这三种模式的作用分别是: 一般模式:以 vi 打开一个档案就直接进入一般模式了(这是默认的模式). 编辑模式:在一般模式中可以进行删除.复制.贴上等等的动作,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">鸟哥的linux私房菜学习-（十）vim程序编辑器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>1.vi和vim</h1>
<p>在 Linux 的世界中，绝大部分的配置文件都是以 ASCII 的纯文本形态存在，因此利用简单的文字编辑软件就能够修改设定了！</p>
<p>常常听到的就有：&nbsp;<a href="http://www.gnu.org/software/emacs/" rel="external nofollow noreferrer">emacs</a>,&nbsp;<a href="http://www.ece.uwaterloo.ca/~ece250/Online/Unix/pico/" rel="external nofollow noreferrer">pico</a>,&nbsp;<a href="http://sourceforge.net/projects/nano/" rel="external nofollow noreferrer">nano</a>,&nbsp;<a href="http://sourceforge.net/projects/joe-editor/" rel="external nofollow noreferrer">joe</a>, 与&nbsp;<a href="http://www.vim.org/" rel="external nofollow noreferrer">vim</a>&nbsp;等等(<a href="http://cn.linux.vbird.org/linux_basic/0310vi_1.php#ps1" rel="external nofollow noreferrer">注1</a>)。</p>
<h1>2.vi的使用</h1>
<p>基本上 vi 共分为三种模式，分别是『一般模式』、『编辑模式』与『指令列命令模式』。 这三种模式的作用分别是：</p>
<ul>
<ul>
<li>一般模式：<br />以 vi 打开一个档案就直接进入一般模式了(这是默认的模式)。</li>
<li>编辑模式：<br />在一般模式中可以进行删除、复制、贴上等等的动作，但是却无法编辑文件内容的！ 要等到你按下『i, I, o, O, a, A, r, R』等任何一个字母之后才会进入编辑模式。</li>
<li>指令列命令模式：<br />在一般模式当中，输入『&nbsp;: / ?&nbsp;』三个中的任何一个按钮，就可以将光标移动到最底下那一行。在这个模式当中， 可以提供你『搜寻资料』的动作，而读取、存盘、大量取代字符、离开 vi 、显示行号等等的动作则是在此模式中达成的！</li>
</ul>
</ul>
<h2>2.1&nbsp;按键说明</h2>
<ul>
<li>
<h3>第一部份：一般模式可用的按钮说明，光标移动、复制贴上、搜寻取代等</h3>
</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjAyMTI1MjI0NjQ4NDYyLnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjAyMTI1MjI0OTE5OTU3LnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjAyMTI1MjI1MDE1NjY0LnBuZw==.jpg"></p>
<ul>
<li>
<h3>第二部份：一般模式切换到编辑模式的可用的按钮说明</h3>
</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjAyMTI1MjI1Mzk5NDY4LnBuZw==.jpg"></p>
<ul>
<li>
<h3>第三部份：一般模式切换到指令列模式的可用的按钮说明</h3>
</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjAyMTI1MjI1NTE5NTkwLnBuZw==.jpg"></p>
<h1>3.DOS 与 Linux 的断行字符</h1>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjAyMTI1MjI1NjM5NzExLnBuZw==.jpg"></p>
<p>因为断行字符以及 DOS 与 Linux 操作系统底下一些字符的定义不同，因此， 不建议你在 Windows 系统当中将档案编辑好之后，才上传到 Linux 系统，会容易发生错误问题。 而且，如果你在不同的系统之间复制一些纯文本档案时，千万记得要使用 unix2dos 或 dos2unix 来转换一下断行格式啊！</p>
<p>重点回顾</p>
<ul>
<li>Linux 底下的配置文件多为文本文件，故使用 vim 即可进行设定编辑；</li>
<li>vim 可视为程序编辑器，可用以编辑 shell script, 配置文件等，避免打错字；</li>
<li>vi 为所有 unix like 的操作系统都会存在的编辑器，且执行速度快速；</li>
<li>vi 有三种模式，一般模式可变换到编辑与指令列模式，但编辑模式与指令列模式不能互换；</li>
<li>常用的按键有i, [Esc], :wq 等；</li>
<li>vi 的画面大略可分为两部份，(1)上半部的本文与(2)最后一行的状态+指令列模式；</li>
<li>数字是有意义的，用来说明重复进行几次动作的意思，如 5yy 为复制 5 行之意；</li>
<li>光标的移动中，大写的 G 经常使用，尤其是 1G, G 移动到文章的头/尾功能！</li>
<li>vi 的取代功能也很棒！ :n1,n2s/old/new/g 要特别注意学习起来；</li>
<li>小数点『 . 』为重复进行前一次动作，也是经常使用的按键功能！</li>
<li>进入编辑模式几乎只要记住： i, o, R 三个按钮即可！尤其是新增一行的 o 与取代的 R</li>
<li>vim 会主动的建立 swap 暂存档，所以不要随意断线！</li>
<li>如果在文章内有对齐的区块，可以使用 [ctrl]-v 进行复制/贴上/删除的行为</li>
<li>使用 :sp 功能可以分割窗口</li>
<li>vim 的环境设定可以写入在 ~/.vimrc 档案中；</li>
<li>可以使用 iconv 进行档案语系编码的转换</li>
<li>使用 dos2unix 及 unix2dos 可以变更档案每一行的行尾断行字符。</li>
</ul>

<p>原文地址：https://www.cnblogs.com/wenlin66/p/8404398.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 08:35:30 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/image/" title="image">image</a>, <a href="https://www.biecuoliao.com/tag/%e6%a8%a1%e5%bc%8f/" title="模式">模式</a>, <a href="https://www.biecuoliao.com/tag/source/" title="source">source</a>, <a href="https://www.biecuoliao.com/tag/lin/" title="lin">lin</a>, <a href="https://www.biecuoliao.com/tag/like/" title="like">like</a>, <a href="https://www.biecuoliao.com/tag/post/" title="&period;post">&period;post</a>, <a href="https://www.biecuoliao.com/tag/software/" title="software">software</a>, <a href="https://www.biecuoliao.com/tag/vimrc/" title="vimrc">vimrc</a>, <a href="https://www.biecuoliao.com/tag/%e7%a7%81%e6%88%bf%e8%8f%9c/" title="私房菜">私房菜</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>鸟哥的linux私房菜学习-（十）vim程序编辑器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xRmnk4.html" rel="bookmark">鸟哥的Linux私房菜  第十八章、认识系统服务 &lpar;daemons&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是 daemon 与服务 (service) Linux Daemon (守护进程)是运行在后台的一种特殊进程.它独立于控制终端并且周期性地执行某种任务或等待处理某些事件.它不需要用户输入就能运行并且提供某种服 务,不是对整个系统就是对某个用户程序提供服务. Linux 系统的大多数服务器就是通过守护进程实现的.常见的守护进程包括系统日志进程 syslogd . web 服务器 httpd .邮件服务器 sendmail 和数据库服务器 mysqld 等. 守护进程一般在系统启动时开始运行,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aRWXP3.html" rel="bookmark">鸟哥的Linux私房菜&mdash;&mdash;第十六章：学习Shell Scripts</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				视频链接: 1. 什么是 Shell Script       (shell写的脚本)1.1 干嘛学习 shell scripts? ()1.2 第一支 script 的撰写与执行1.3 撰写 shell script 的良好习惯建立 2. 简单的 shell script 练习: (read -p  date)3. 善用判断式:3.1 利用 test 指令的测试功能3.2 利用判断符号 [ ] 3.3 Shell script 的预设变数($0, $1...)4. 条件判断式:4.1 利用 i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35rAzV4.html" rel="bookmark">鸟哥的linux私房菜学习笔记 ---第7章-1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1, /usr UNIX software resource 关于软件的文件都存放在这个目录下2, 开机仅有根目录会被挂载,其他分区则是在开机完成之后才会持续进行挂载的行为3, 根目录下的子目录不一定和根目录在同一个分区下.但是,要注意根目录下与开机过程有关的目录不能与根目录放在不同的分区下.4, linux目录配置标准:FHS(Filesystem hierarchy standard) 仅定义根目录及其子目录       FHS 定义的三层主目录为: /, /var,/usr   有五个目录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWqDPr3.html" rel="bookmark">鸟哥的linux私房菜学习笔记 ---第6章-1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				linux是多任务多用户系统-r 进行递归的持续更改 连同子目录下的所有文件都会改变 shutdown -选项 时间参数 显示消息 shutdown -k nowshutdown -h +10shutdown -r 10:28 ‘the system will reboot at 10:28’ reboot init 0 关机 init 是切换执行等级的意思,不同的数字代笔不同的执行等级:0关机,3纯命令行模式,5含有图形界面的模式 6重启 ls -a ls -al chgrp 组名 文件名 c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nn7gw4.html" rel="bookmark">鸟哥的Linux私房菜&mdash;&mdash;第十九章：例行命令的建立</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				视频链接: 1. 什么是例行性命令 (分为两种,一种是周期性的,一种是突发性的)1.1 Linux 工作排程的种类: at, cron   ( at是突发的,cron是周期的)1.2 系统上常见的例行性命令有哪些? (log rotate,数据库rpm,locate数据库)2. 仅执行一次的工作排程: at, atq, atrm3. 循环执行的例行性命令: cron3.1 使用者的设定: crontab3.2 系统的设定: /etc/crontab at  仅进行一次的工程安排 这个现在好多都是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDN5mw3.html" rel="bookmark">鸟哥的linux私房菜学习笔记 ---第8章-1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1,磁盘的扇区为最小的物理存储单位,大小为512bytes2,扇区sector 组成 柱面cylinder 组成 分区partition 一个分区对应一个文件系统,一个文件系统要挂载到相应的目录上去3,linux的正规文件系统为ext24,inode 记录文件的权限及相关属性和此文件所占用的block的编号 一个文件占用一个inode    block 记录文件的实际内容,文件很大会占用多个block   super block			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YLz1WM.html" rel="bookmark">鸟哥的Linux私房菜&mdash;&mdash;第十二章：档案的压缩与打包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				视频链接: 土豆: B站(推荐): 本章目录: 1. 压缩档案的用途与技术: (为啥要压缩嘞?因为比如存储一个数字1,前7位补充0浪费,压缩技术就是把空的那些用上,省硬盘空间,下载的时候也省带宽)2. Linux 系统常见的压缩指令:2.1 compress (这个是最老的压缩指令,现在不怎么用了)2.2 gzip, zcat (新一代的压缩指令,代替了compress,zcat是读取gzip和compress的压缩数据的指令)2.3 bzip2, bzcat   (bzip2更高效,压缩比高,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nbGOp0.html" rel="bookmark">鸟哥的linux私房菜学习笔记 ---第5章-2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1,bc 简易计算器2,[ctrl]+d end of file3,~代表用户的主文件夹,是个变量 root的主文件夹在 /root4,sync 将内存中的数据写入到硬盘中,一般在关机之前必做步骤,好的习惯5,nano 简单好用的文本编辑器  nano 文件名直接打开新或已有文件  可以直接编辑  ctrl+x 离开 然后选择保存与否 然后回车退出nano6,记住一般^标识Ctrl键 M表示Alt键, 6,info 利用node来存储文件,node的链接仅适用于info page格式的文档  u			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bdbmo4.html" rel="bookmark">鸟哥的linux私房菜学习笔记 ---第7章-2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1,文件内容查阅的命令: cat ,tac nl,more, less,head,tail ,od  文件的查阅参数,显示行号如何显示行号  nl 中的所有参数都是关于如何显示行号的  这里面less的功能更多,更灵活 :空格 下一页 pageup上一页 pagedown 下一页 /string 字符串查询 ?string 反向字符串查询  man的命令就是调用less进行显示的  tail -f 会一直检测文件的更新,实时显示出文件的更新 除非 ctrl+c 才会停止  head -n 20			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/D3O8Jo4.html" rel="bookmark" class="title">What is &amp;quot&semi;found&period;000&amp;quot&semi; &quest; How to deal with it&quest;</a>
					<div>
						最近在ubuntu系统中发现双系统的win盘中有一些文件夹,名字是&quot;found.000&quot;,甚是疑惑,遂查而记之. found.000文件夹里面的一些后缀名为CHK的文件是你在使用& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/138Jp2M.html" rel="bookmark" class="title">css 动画</a>
					<div>
						css3动画 @keyframes 规定动画,必须定义动画的名称,动画时长的百分比,一个或多个css样式属性 以百分比来规定改变发生的时间,或者通过关键词&quot;from&quot;和&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMo8Zn0.html" rel="bookmark" class="title">elasticsearch2&period;2 集群搭建各种坑</a>
					<div>
						目前生产环境的es版本是1.0版本,需要升级到最新的2.2版本,于是在测试环境进行部署集群测试,在测试过程中遇到的坑相当多,下面详细介绍下. 1. 版本升级到2.2后,必须建一个单独的账号用于启动el ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgL6YL0.html" rel="bookmark" class="title">rubymine快捷鍵-</a>
					<div>
						一级必会 Shift+F10:运行running Ctrl+Alt+R:弹出RakeCtrl+Alt+G:弹出GenerateCtrl+Alt+L:格式化代码Alt+F1:切换视图(Project,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkGEx3.html" rel="bookmark" class="title">System&period;Diagnostics&period;Process&period;Start的妙用</a>
					<div>
						我们经常会遇到在Winform或是WPF中点击链接或按钮打开某个指定的网址, 或者是需要打开电脑中某个指定的硬盘分区及文件夹, 甚至是&quot;控制面板&quot;相关的东西, 那么如何做呢? 答案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXdXAwM.html" rel="bookmark" class="title">分屏显示</a>
					<div>
						我们在做排队叫号(不限于排队,其他需要多个屏幕显示的应用都可以)的时候,总是需要将呼叫内容显示到显示器.电视机或者LED显示屏上面.之前一章,我已经讲过如何用C#控制LED显示器了,这一篇,我讲一下分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8NlDM.html" rel="bookmark" class="title">python中print后面加逗号</a>
					<div>
						python中print输出一行,如果想多次输出的内容不换行,可以在print后面加逗号 例如 每个输出一行 phrase = &quot;abcdefg&quot; # Add your for l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J8RvY0.html" rel="bookmark" class="title">给宏基装WIN8&period;1系统之问题与解决方法（原创）</a>
					<div>
						1.采用老毛桃U盘PE进入笔记本: 2.备份桌面文件以防丢失: 3.将下载好的Win8操作系统镜像加载到虚拟光驱,最好把操作系统拷贝到笔记本硬盘上,不然可能会出现意想不到的错误: 4.打开老毛桃桌面安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV89yd3.html" rel="bookmark" class="title">winfrom 基类窗体与子类窗体load事件详解</a>
					<div>
						今日在写代码时,需要在子窗体运行时调用基类窗体中的load事件,顺带将该部分功能做一个详细的了解. Winform窗体在初始化到呈现在用户眼前会依次经历三个阶段,构造-加载-显示,分别对应.NET 窗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXQ6rw0.html" rel="bookmark" class="title">LAMP（未完）</a>
					<div>
						前言: LAMP: L:Linux A:apache(httpd) M:mysql,mariadb P:php,perl,python WEB资源类型: 静态资源:原始形式与响应内容一致: 动态资源: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qKyX3.html" rel="bookmark" class="title">FileOutputStream---&amp;gt&semi;文件输出流&lpar;向文件写入数据&rpar;</a>
					<div>
						Api介绍 定义 FileOutputStream 用于写入诸如图像数据之类的原始字节的流.要写入字符流,请考虑使用 FileWriter. 构造方法 FileOutputStream(File fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415QAY4.html" rel="bookmark" class="title">解决Ubuntu下使用命令行subl 打开Sublime text3无法输入中文的问题</a>
					<div>
						cd /opt/sublime_text/ sudo vim sub-fcitx.c 新建文件sub-fcitx.c,建议放在Sublime Text的所在目录下,将下面的代码复制进去 ,参考: ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBxz8v3.html" rel="bookmark" class="title">大型园区网交换设计</a>
					<div>
						大型园区网交换设计 什么是园区网? 园区网顾名思义,指一个园区内的网络(园区一般包含多栋建筑),比如医院,学校,政府单位的网络都可以叫做园区网.后来园区网使用比较广泛,不一定要一个园区,一栋楼或者一层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JdLjA0.html" rel="bookmark" class="title">python 学习day3</a>
					<div>
						set(无序不重复的序列) 创建两种方式 例一:s1 = {1,2,3} 例二:s2 = set() ,s3 = set([1,2,3,4,5]) 功能 s2.add(123) #添加s2集合中123 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBkR73.html" rel="bookmark" class="title">Quartz 第五课 SimpleTriggers 官方文档翻译</a>
					<div>
						对于SimpleTrigger你需要知道它的启动总是在一个特殊的时间点或者有你设置的重复时间段中.直白来说,如果你想在2005年1月13日,正好上午11时23分54秒触发,然后执行五次,每十秒钟. 从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLrx5O3.html" rel="bookmark" class="title">spark实时计算性能优化</a>
					<div>
						1.  计算提供两种模式,一种是jar包本地计算.一种是JSF服务. 2.  第一步是引入spark,因与netty.JDQ均有冲突,解决netty冲突后,隔离计算为单独服务.已在线上,因storm也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXnxZ4.html" rel="bookmark" class="title">Myclipse发布项目错误问题已解决</a>
					<div>
						win7在使用Myclipse发布项目时,会出现如下两种错误: 1.系统找不到指定的路径 Publishing the configuration... Error copying file to C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qbNZ54.html" rel="bookmark" class="title">jquery 插件库</a>
					<div>
						为大家推荐一个超牛逼的jquery插件库网站:http://www.jq22.com jQuery基础视频教程 http://edu.51cto.com/course/course_id-959.ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YLr6aM.html" rel="bookmark" class="title">（3）windows下hadoop&plus;eclipse环境搭建</a>
					<div>
						(1)环境说明 hadoop的集群环境我已经在虚拟机上搭建并能正常运行(见前2篇文章),现在我要在windows下搭建hadoop+eclipse的开发环境. (2)安装hadoop-eclipse- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0agndJ4.html" rel="bookmark" class="title">org&period;apache&period;jasper&period;JasperException&colon; An exception occurred processing JSP page &sol;admin&sol;jiaoshi&sol;daochuEx</a>
					<div>
						org.apache.jasper.JasperException: An exception occurred processing JSP page /admin/jiaoshi/daochuEx ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
